/*
 *      vii - buffer and display output
 *      Copyright (C) 1991, 1995, 1999, 2005, 2009, 2010 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef XI_STASH_H
#define XI_STASH_H

#include <lib/ac/stddef.h>
#include <lib/main.h>

typedef struct stash stash;
struct stash
{
    size_t          x, y;
    size_t          nlines;
    char            **line;
};

stash *stash_open(void);
void stash_putc(stash *, int);
void stash_draw(stash *, int x, int y, int dx, int dy);
void stash_free(stash *);
int stash_length(stash *);

#endif /* XI_STASH_H */
