/*
 *      vii - buffer and display outout
 *      Copyright (C) 1991, 1992, 1995, 1999, 2005, 2009, 2010 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef XI_TERM_H
#define XI_TERM_H

#include <lib/main.h>

#define TERM_EOF -1
#define TERM_INTR -2

void term_open(const char *ttype);
void term_close(void);
void term_refresh(void);
void term_redraw(void);
void term_clear(void);
void term_bell(void);
int term_getc(int, void(*)(int));
void term_last_line(void);
void term_putc(int x, int y, int c);
void term_puts(int x, int y, const char *s);
void term_get_size(int *x, int *y);

#endif /* XI_TERM_H */
